> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dosfinds.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an access or refresh token



## OpenAPI

````yaml services/quotes/openapi-v1.yaml post /oauth/revoke
openapi: 3.0.0
info:
  title: Dos Quotes API
  version: 1.0.0
servers:
  - url: https://app.dosfinds.co.uk
    description: Production
security: []
tags:
  - name: Authentication
    description: OAuth2 flows via Doorkeeper
  - name: Users
    description: Endpoints for user profile
  - name: Leads
    description: Endpoints for listing and managing leads
paths:
  /oauth/revoke:
    post:
      tags:
        - Authentication
      summary: Revoke an access or refresh token
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - token
              properties:
                token:
                  type: string
                token_type_hint:
                  type: string
                  enum:
                    - access_token
                    - refresh_token
      responses:
        '200':
          description: Token revoked successfully

````